openSUSE Security Update : irssi (openSUSE-2017-797)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update for irssi to version fixes the following issues :

- CVE-2017-10965: A malicious server could cause irssi to
crash by providing an invalid timestamp

- CVE-2017-10966: Undefined behavior may be triggered when
irssi updates the internal nick list

A number of minor upstream bug fixes are also included.

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=1047709

Solution :

Update the affected irssi packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 101347 ()

Bugtraq ID:

CVE ID: CVE-2017-10965
CVE-2017-10966

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now